What browsers do you support?

All our plugins should work with the latest versions of Chrome, Safari, Firefox, and Opera, along with Microsoft's Internet Explorer and Edge.

Our plugins use HTML5, CSS3, and JavaScript.

If you experience a problem with one of our plugins on the latest version of a current browser, please post to our help desk and include a screenshot of your SupportDetails.com report from the browser you are reporting a conflict with.